
import sound.Oscillator;
import sound.UlawCodec;

public class Test {

    private int frequencyZero = 440;
    private int frequencyOne = 660;

    private int duration = 2000;
    private Oscillator os;

    public Test(byte[] rcode) {
        UlawCodec ulc;
        double samples[];// = new double[rcode.length];
        for (int i = 0; i < rcode.length; i++) {
            if (rcode[i] == 0) {
                System.out.println("rcode = " + rcode[i]);

                os = new Oscillator(frequencyZero, duration);
                samples = os.getSquareWave();
                ulc = new UlawCodec(samples);
                ulc.play();
                Thread t = new Thread();
                try {
                    Thread.sleep(250);
                } catch (InterruptedException e) {
                    e.printStackTrace(); 
                }
                ulc.stop();
            } else {
                System.out.println("rcode = " + rcode[i]);
                os = new Oscillator(frequencyOne, duration);
                samples = os.getSquareWave();
                ulc = new UlawCodec(samples);
                ulc.play();
                Thread t = new Thread();
                try {
                    Thread.sleep(250);
                } catch (InterruptedException e) {
                    e.printStackTrace();
                }
                ulc.stop();
            }
            ulc.stop();

        }
    }

    public static void main(String[] args) {
        byte[] bb = {0, 0, 1, 0, 1, 0, 1};
        Test ts = new Test(bb);
    }
}
